# Contributing to Primality

``` bash
$ npm install -g grunt-cli
$ git clone https://github.com/KenanY/primality.git
$ cd primality
$ npm install
```

## Building

Builds dist files:

``` bash
$ grunt
```

## Testing

Using PhantomJS:

``` bash
$ grunt test
```

Using web browsers:

``` bash
$ testem
```

## Releasing

Don't do this in pull requests.

  1. Update version numbers
    - `primality.VERSION`
    - `README.md` download links
    - `bower.json`
    - `component.json`
    - `package.json`
  2. Build
  ``` bash
  $ grunt
  ```

  3. Regenerate documentation
  ``` bash
  $ grunt doc
  ```

  4. Tag
  ``` bash
  $ git commit -am 'Release 1.0.0'
  $ git tag -a 1.0.0 -m '1.0.0'
  ```

  5. Publish
  ``` bash
  $ npm publish
  ```

Then update the "Release Notes" section of `README.md` and the
[wiki changelog](https://github.com/KenanY/primality/wiki/Changelog).